/*
 * Copyright (C), 2002-2015, 江苏三六五网络股份有限公司
 * FileName: AppBuss.java
 * Author:   duhui
 * Date:     2015年3月9日 下午5:52:45
 * Description:     
 * History: 
 * <author>      <time>      <version>    <desc>
 * 修改人姓名                          修改时间                        版本号                                 描述
 */
package com.house365.tags.beans;

import java.util.ArrayList;
import java.util.List;

public enum AppBuss {

    /**
     * 淘房拍
     */
    TFP(1, "淘房拍"),

    /**
     * 淘房汇
     */
    TFH(2, "淘房汇"),

    /**
     * 看房团
     */
    KFT(3, "看房团"),
    
    /**
     * 房产资讯
     */
    FCZX(4, "房产资讯");  
    
    /**
     * ID
     */
    private int id;

    /**
     * name
     */
    private String showName;
    
    /**
     * 构造方法
     * 
     * @param id
     *            ID
     * @param showName
     *            showName
     */
    private AppBuss(int id, String showName) {
        this.setId(id);
        this.setShowName(showName);
    }
    
    /**
     * @return the id
     */
    public int getId() {
        return id;
    }

    /**
     * @return the name
     */
    public String getShowName() {
        return showName;
    }

    /**
     * @param id
     *            the id to set
     */
    private void setId(int id) {
        this.id = id;
    }

    /**
     * @param showName
     *            the showName to set
     */
    private void setShowName(String showName) {
        this.showName = showName;
    }
    
    /**
     * 获取枚举列表
     * 
     * @return 枚举列表
     */
    public static final List<AppBuss> list() {
        return new ArrayList<AppBuss>() {
            /**
             * 
             */
            private static final long serialVersionUID = 1L;

            {
//                add(TFP);
                add(TFH);
                add(KFT);
//                add(FCZX);
            }
        };
    }
    
    /**
     * 通过ID查询枚举对象
     * 
     * @param id
     *            ID
     * @return 枚举对象
     */
    public static final AppBuss getById(int id) {
        for (AppBuss importExportFlag : list()) {
            if (id == importExportFlag.getId()) {
                return importExportFlag;
            }
        }
        return null;
    }
}
